BGLTAGS(1)

NAME
bgltags - generate tag file for Emacs

SYNOPSIS
bgltags [ options ] [ objfile [ gmon.out ] ]

DESCRIPTION
The bgltags program is used to create a tag table file, in a format understood by emacs(1). This programs understand the syntax of the Bigloo files. It reads the files specified on the command line, and write a tag table (defaults: TAGS) in the current working directory. Files specified with relative file names will be recorded in the tag table with file names relative to the directory where the tag table re- sides. Files specified with absolute file names will be recorded with absolute file names. The program does not recognize the language used in an input file based on its file name and contents. The --language switch can be used to force parsing of the file names following the switch according to the given language, overriding guesses based on file-name extensions. Source files that are not Scheme are actually processed by the etags program.

OPTIONS

-a, --append
    Append to existing tag file.

-o tagfile, --output=tagfile
    Explicit name of file for tag table; overrides default `TAGS'.

-v  Print the current version of the program.

-module
    Generate an entry in the table for each modules. Normally modules identifier are not indexed in the tags table.

SEE ALSO
bigloo(1), bglafile(1), bgldepend(1), etags(1), emacs(1), bglmco(1), xemacs(1)

AUTHOR
Manuel SERRANO, Manuel.Serrano@inria.fr